# In order to use unversioned python macros in the spec file, we need to

Name:           ocpkg
Version:        0.6.9
Release:        2%{?dist}.1
Summary:        OpenCloudOS utility for working with dist-git
License:        GPLv2+
URL:            https://gitee.com/src-opencloudos-rpms/ocpkg
Source0:        %{url}/archive/%{version}/ocpkg-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-six
BuildRequires:  python3-rpkg


%description
Provides the ocpkg command for working with dist-git.


%prep
%autosetup -p 1


%build
%py3_build
%{__python3} doc/ocpkg_man_page.py > ocpkg.1


%install
%py3_install
install -D -p -m 0644 src/ocpkg.conf     %{buildroot}%{_sysconfdir}/rpkg/ocpkg.conf
install -D -p -m 0644 src/ocpkg.bash     %{buildroot}%{_datadir}/bash-completion/completions/ocpkg
install -D -p -m 0644 ocpkg.1            %{buildroot}%{_mandir}/man1/ocpkg.1


%files
%license COPYING
%doc README.md
%config(noreplace) %{_sysconfdir}/rpkg/ocpkg.conf
%{_bindir}/%{name}
%{python3_sitelib}/%{name}
%{python3_sitelib}/%{name}-%{version}-py%{python3_version}.egg-info
%{_datadir}/bash-completion/completions/ocpkg
%{_mandir}/*/*

%changelog
* Thu Jun 6 2024 You shop <shopyou@tencent.com> - 0.6.9-2.1
- indicate required python3-rpkg
* Fri Apr 12 2024 You shop <shopyou@tencent.com> - 0.6.9-2
- support oc9
* Tue Nov 14 2023 You shop <shopyou@opencloudos.tech> - 0.6.8
- fix bug
* Fri Sep 09 2022 Xun Zhong <invain@opencloudos.tech> - 0.6.6-3
- init